org.apache.hc.client5.http.impl.auth

## Class DigestSchemeFactory

- java.lang.Object
- - org.apache.hc.client5.http.impl.auth.DigestSchemeFactory

All Implemented Interfaces:
  AuthSchemeFactory

    @Contract(threading=STATELESS)
    public class DigestSchemeFactory
    extends Object
    implements AuthSchemeFactory

`AuthSchemeFactory` implementation that creates and initializes `DigestScheme` instances.

Since:
  4.0

### Field Summary

Fields
`static DigestSchemeFactory` `INSTANCE` Singleton instance.

### Constructor Summary

Constructors
Constructor and Description
`DigestSchemeFactory()`
`DigestSchemeFactory(Charset charset)`

### Method Summary

All Methods Instance Methods Concrete Methods
`AuthScheme` `create(HttpContext context)` Creates an instance of `AuthScheme`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### INSTANCE

    public static final DigestSchemeFactory INSTANCE

Singleton instance.

### Constructor Detail

#### DigestSchemeFactory

    public DigestSchemeFactory(Charset charset)

Since:
  5.1

#### DigestSchemeFactory

    public DigestSchemeFactory()

### Method Detail

#### create

    public AuthScheme create(HttpContext context)

Description copied from interface: `AuthSchemeFactory`
Creates an instance of `AuthScheme`.

Specified by:
  `create` in interface `AuthSchemeFactory`
Returns:
  auth scheme.